const nodemailer = require('nodemailer')

const HOST = 'smtp.sendcloud.net'
const PORT = 25
const API_USER = ''
const API_KEY = ''

// create reusable transporter object using SMTP transport
let transporter = nodemailer.createTransport({
    host: HOST,
    port: PORT,
    auth: {
        user: API_USER,
        pass: API_KEY
    }
})
let recp_tos = ["xxx1@qq.com", "xxx2@qq.com"] // list of receivers
// setup e-mail data with unicode symbols
let mailOptions = {
    from: 'sendcloud@mail.sendcloud.net', // sender address mailfrom must be same with the user
    to: recp_tos.join(', '), // list of receivers
    subject: 'SendCloud Node.js SMTP',
    text: 'Hello world',
    replyTo:'service@ifaxin.com', // custom reply address
    attachments: [
        {
            filename: 'test.txt',
            content: 'hello world!'
        },
        {
            filename: '中文测试.txt',
            path: './中文附件测试.txt'
        }
    ]
}
// send mail with defined transport object
transporter.sendMail(mailOptions, function(error, info){
    if(error){
        return console.log(error);
    }
    console.log('Message sent: ' + info.response);
});
